.\"	$NetBSD: fpa.4,v 1.14 2004/04/07 15:28:13 wiz Exp $
.\"
.\" Copyright (c) 1995 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Matt Thomas.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 13, 1995
.Dt FPA 4
.Os
.Sh NAME
.Nm fpa ,
.Nm fea ,
.Nm fta
.Nd
.Tn DEC
FDDI interface driver
.Sh SYNOPSIS
.Cd "fpa* at pci? dev ? function ?"
.Cd "fea* at eisa? slot ?"
.Ss alpha and pmax
.Cd "fta* at tc? slot ? offset ?"
.Sh DESCRIPTION
Cards supported by the
.Nm fpa ,
.Nm fea
and
.Nm fta
device driver are:
.Pp
.Bl -tag -width xxxxxx -offset indent
.It DEFPA
DEC PCI FDDI Controller
.It DEFEA
DEC EISA FDDI Controller
.It DEFTA
DEC TURBOchannel FDDI Controller
.El
.Pp
respectively.
All variants of either controller are supported including the DAS
and SAS configurations.
.Sh DIAGNOSTICS
.Bl -diag
.It "fea%d: error: desired IRQ of %d does not match device's actual IRQ (%d)"
The device probe detected that the DEFEA board is configured for a different
interrupt than the one specified in the kernel configuration file.
.It "fea%d: error: memory not enabled! ECU reconfiguration required"
The device probe found that no device memory had been configured on the DEFEA.
The DEFEA can be configured with no device memory, this driver
requires a minimum of 1K device memory be set up.
The ECU (EISA Configuration Utility) will need to be run to change the settings.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
.Sh AUTHORS
The
.Nm fpa ,
.Nm fea
and
.Nm fta
device driver and manual page were written by Matt Thomas.
.Sh BUGS
Normally, the device driver will not enable the reception of SMT frames.
However if the IFF_LINK1 flag is set, the device driver will enable the
reception of SMT frames and pass them up to the Berkeley Packet Filter for
processing.
